Summary:        Open Audio Library
Name:           openal-soft
Version:        1.23.1
Release:        2%{?dist}
License:        LGPLv2+
URL:            http://openal-soft.org/
Source0:        http://openal-soft.org/openal-releases/openal-soft-%{version}.tar.bz2

BuildRequires:  alsa-lib-devel cmake gcc gcc-c++ ninja-build
BuildRequires:  libmysofa-devel libsndfile-devel
BuildRequires:  pulseaudio-libs-devel qt5-qtbase-devel SDL2-devel

Provides:       openal = %{version}

%description
OpenAL Soft is a cross-platform software implementation of the OpenAL 3D
audio API. It's built off of the open-sourced Windows version available
originally from the SVN repository at openal.org. OpenAL provides
capabilities for playing audio in a virtual 3d environment. Distance
attenuation, doppler shift, and directional sound emitters are among
the features handled by the API. More advanced effects, including air
absorption, low-pass filters, and reverb, are available through the
EFX extension. It also facilitates streaming audio, multi-channel buffers,
and audio capture.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       openal-devel = %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        examples
Summary:        Sample applications for OpenAl Soft
Requires:       %{name} = %{version}-%{release}

%description	examples
Sample applications for OpenAl Soft.

%package        qt
Summary:        Qt frontend for configuring OpenAL Soft
Requires:       %{name} = %{version}-%{release}

%description    qt
The %{name}-qt package contains alsoft-config, a Qt-based tool
for configuring OpenAL features.

%prep
%autosetup -p1

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DALSOFT_CPUEXT_NEON:BOOL=OFF \
    -DALSOFT_EXAMPLES:BOOL=ON \
    -DALSOFT_UTILS:BOOL=ON \
    -DALSOFT_INSTALL_CONFIG:BOOL=ON \
    -DALSOFT_INSTALL_EXAMPLES:BOOL=ON \
    -DALSOFT_INSTALL_HRTF_DATA:BOOL=ON \
    -DALSOFT_INSTALL_UTILS:BOOL=ON
%cmake_build

%install
%cmake_install

install -Dpm644 alsoftrc.sample %{buildroot}%{_sysconfdir}/openal/alsoft.conf
sed -i 's/#allow-moves = false/allow-moves = true/' \
  %{buildroot}%{_sysconfdir}/openal/alsoft.conf

%files
%doc COPYING
%{_bindir}/openal-info
%{_libdir}/libopenal.so.*
%dir %{_sysconfdir}/openal
%config(noreplace) %{_sysconfdir}/openal/alsoft.conf
%{_datadir}/openal
%exclude %{_datadir}/openal/alsoftrc.sample
%exclude %{_datadir}/openal/presets/presets.txt

%files devel
%{_bindir}/makemhr
%{_includedir}/*
%{_libdir}/libopenal.so
%{_libdir}/pkgconfig/openal.pc
%{_libdir}/cmake/OpenAL

%files examples
%{_bindir}/alrecord
%{_bindir}/altonegen
%exclude %{_bindir}/alhrtf
%exclude %{_bindir}/allatency
%exclude %{_bindir}/alloopback
%exclude %{_bindir}/almultireverb
%exclude %{_bindir}/alplay
%exclude %{_bindir}/alreverb
%exclude %{_bindir}/alstream

%files qt
%{_bindir}/alsoft-config

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Shuo Wang <abushwang@tencent.com> - 1.23.1-1
- update to 1.23.1

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 1.22.2-4
- Rebuilt for SDL2 2.28.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 07 2023 cunshunxia <cunshunxia@tencent.com> - 1.22.2-1
- initial build
